### Method

# Gio RemoteActionGroup activate_action_full

since: 2.32

#### Declaration

    void
    g_remote_action_group_activate_action_full (
      GRemoteActionGroup* remote,
      const gchar* action_name,
      GVariant* parameter,
      GVariant* platform_data
    )

#### Description

Activates the remote action.

This is the same as `g_action_group_activate_action()` except that it allows for provision of “platform data” to be sent along with the activation request. This typically contains details such as the user interaction timestamp or startup notification information.

`platform_data` must be non-`NULL` and must have the type `G_VARIANT_TYPE_VARDICT`. If it is floating, it will be consumed.

Available since: 2.32

#### Parameters

`action_name`

  Type: `const gchar*`

  The name of the action to activate.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`parameter`

  Type: `GVariant`

  The optional parameter to the activation.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`platform_data`

  Type: `GVariant`

  The platform data to send.

  The data is owned by the caller of the method.